Loading...
Searching...
No Matches
_nsm_client_t Struct Reference

`#include <nsm.h>`

## Public Attributes

const char * | nsm_url
lo_server | _server
lo_server_thread | _st
lo_address | nsm_addr
int | nsm_is_active
char * | nsm_client_id
char * | _session_manager_name
char * | _session_manager_features
nsm_open_callback * | open
void * | open_userdata
nsm_save_callback * | save
void * | save_userdata
nsm_show_gui_callback * | show
void * | show_userdata
nsm_hide_gui_callback * | hide
void * | hide_userdata
nsm_active_callback * | active
void * | active_userdata
nsm_session_is_loaded_callback * | session_is_loaded
void * | session_is_loaded_userdata
nsm_broadcast_callback * | broadcast
void * | broadcast_userdata

## Detailed Description

Definition at line 100 of file nsm.h.

## Member Data Documentation

## _server

lo_server _nsm_client_t::_server

Definition at line 104 of file nsm.h.

Referenced by nsm_check_wait(), nsm_free(), nsm_init(), nsm_init_thread(), nsm_new(), nsm_send_announce(), nsm_send_broadcast(), nsm_send_is_clean(), nsm_send_is_dirty(), nsm_send_is_hidden(), nsm_send_is_shown(), nsm_send_message(), and nsm_send_progress().

## _session_manager_features

char* _nsm_client_t::_session_manager_features

Definition at line 111 of file nsm.h.

Referenced by _nsm_osc_announce_reply(), nsm_free(), and nsm_new().

## _session_manager_name

char* _nsm_client_t::_session_manager_name

Definition at line 110 of file nsm.h.

Referenced by _nsm_osc_announce_reply(), nsm_free(), and nsm_new().

## _st

lo_server_thread _nsm_client_t::_st

Definition at line 105 of file nsm.h.

Referenced by nsm_free(), nsm_init_thread(), nsm_new(), nsm_thread_start(), and nsm_thread_stop().

## active

nsm_active_callback* _nsm_client_t::active

Definition at line 125 of file nsm.h.

Referenced by _nsm_osc_announce_reply(), _nsm_osc_error(), and nsm_new().

## active_userdata

void* _nsm_client_t::active_userdata

Definition at line 126 of file nsm.h.

Referenced by _nsm_osc_announce_reply(), and _nsm_osc_error().

## broadcast

nsm_broadcast_callback* _nsm_client_t::broadcast

Definition at line 131 of file nsm.h.

Referenced by _nsm_osc_broadcast(), and nsm_new().

## broadcast_userdata

void* _nsm_client_t::broadcast_userdata

Definition at line 132 of file nsm.h.

Referenced by _nsm_osc_broadcast().

## hide

nsm_hide_gui_callback* _nsm_client_t::hide

Definition at line 122 of file nsm.h.

Referenced by _nsm_osc_hide(), and nsm_new().

## hide_userdata

void* _nsm_client_t::hide_userdata

Definition at line 123 of file nsm.h.

Referenced by _nsm_osc_hide().

## nsm_addr

lo_address _nsm_client_t::nsm_addr

Definition at line 106 of file nsm.h.

Referenced by _nsm_osc_announce_reply(), nsm_free(), nsm_new(), nsm_send_broadcast(), nsm_send_is_clean(), nsm_send_is_dirty(), nsm_send_is_hidden(), nsm_send_is_shown(), nsm_send_message(), and nsm_send_progress().

## nsm_client_id

char* _nsm_client_t::nsm_client_id

Definition at line 109 of file nsm.h.

Referenced by _nsm_osc_open(), nsm_free(), and nsm_new().

## nsm_is_active

int _nsm_client_t::nsm_is_active

Definition at line 108 of file nsm.h.

Referenced by _nsm_osc_announce_reply(), _nsm_osc_error(), and nsm_new().

## nsm_url

const char* _nsm_client_t::nsm_url

Definition at line 102 of file nsm.h.

Referenced by nsm_init(), nsm_init_thread(), nsm_new(), and nsm_send_announce().

## open

nsm_open_callback* _nsm_client_t::open

Definition at line 113 of file nsm.h.

Referenced by _nsm_osc_open(), and nsm_new().

## open_userdata

void* _nsm_client_t::open_userdata

Definition at line 114 of file nsm.h.

Referenced by _nsm_osc_open().

## save

nsm_save_callback* _nsm_client_t::save

Definition at line 116 of file nsm.h.

Referenced by _nsm_osc_save(), and nsm_new().

## save_userdata

void* _nsm_client_t::save_userdata

Definition at line 117 of file nsm.h.

Referenced by _nsm_osc_save().

## session_is_loaded

nsm_session_is_loaded_callback* _nsm_client_t::session_is_loaded

Definition at line 128 of file nsm.h.

Referenced by _nsm_osc_session_is_loaded(), and nsm_new().

## session_is_loaded_userdata

void* _nsm_client_t::session_is_loaded_userdata

Definition at line 129 of file nsm.h.

Referenced by _nsm_osc_session_is_loaded().

## show

nsm_show_gui_callback* _nsm_client_t::show

Definition at line 119 of file nsm.h.

Referenced by _nsm_osc_show(), and nsm_new().

## show_userdata

void* _nsm_client_t::show_userdata

Definition at line 120 of file nsm.h.

Referenced by _nsm_osc_show().

The documentation for this struct was generated from the following file:

- src/headers/nsm.h